Subject: bug#54702: 29.0.50; ruby-mode indentation: endless methods

From: Dmitry Gutov <[email-masked]>
Date: Fri, 16 Dec 2022 19:49:35 +0200

On 16/12/2022 18:24, Aaron Jensen wrote:

>> Okay, here's an alternative version -- this was a pain to implement.
>>
>> Would be much easier if we just decided to change the args indentation
>> without support for the current one.
> 
> It works for me w/ that example.
> 
> You won't find me resisting getting rid of the old way. Lining up
> against the method name is a fairly clear UX issue, in my opinion. I
> don't know that it's something I see outside of Emacs,

I suppose we might still want to care about a bunch of Emacs users who 
got used to this indentation over the years. :/

> and my guess is
> that it was influenced by Lisp rather than being influenced by Ruby
> and its community.

You could say that.

Not really influenced, though, it just works that way by accident due to 
the structural indentation algorithm.

There are other Lispy examples which seem to provide their value:

   foo = 3 + 4 *
             5

or this example, which is influenced by a lot of early Ruby code 
examples, yet is not supported by a lot of editors these days:

   qux :+,
       bar,
       :[]=,
       bar,
       :a